@echo off
@sendlog DBANK
i:\bin\send Looking for Microsoft Windows program file ...^M^J
i:\bin\send ^M^J
C:
if exist H:\%username%\foundwin.!@# del H:\%username%\foundwin.!@#
if exist win.com goto SetEnDB
for %%i in (%path%) do call i:\dbank\look4win %%i
if exist H:\%username%\foundwin.!@# goto found
if not exist c:\windows\win.com goto tryD
cd\windows
goto SetEnDB
:tryD
if not exist d:\windows\win.com goto tryWinC
D:
cd\windows
goto SetEnDB
:tryWinC
if not exist c:\win\win.com goto tryWinD
cd\win
goto SetEnDB
:tryWinD
if not exist d:\win\win.com goto notfound
D:
cd\win
goto SetEnDB
:notfound
i:\bin\send Dbank can only run under Microsoft Windows which is not found.^M^J
i:\bin\send If you did install Windows, please include its directory name in the^M^J
i:\bin\send `SET mypath=' statement of your \AUTOUSER.BAT.^M^J
i:\bin\send ^M^J
i:\bin\send If you wish to install Windows for use with NUSNET, please access^M^J
i:\bin\send `Applications', `Others ...', then `Information' from the NUSNET Main Menu^M^J
i:\bin\send for help.^M^J
i:\bin\send ^M^J
pause
goto Return
:found
del H:\%username%\foundwin.!@#
:
:SetEnDB
:
i:\bin\send Setting Environment for Dbank...^M^J
addpath i:\dbank > NUL
ECHO @I:\dbank\dbankq.bat >H:\%username%\$NNRESET.BAT
@share /L:500 >NUL
if not /%temp%==/ goto Gottemp
set temp=C:\
:
:Gottemp
:
rem See if Windows already loaded:
if exist H:\%username%\~loaded~.!@# del H:\%username%\~loaded~.!@#
set|find "windir=">H:\%username%\~inwin!~.bat
call H:\%username%\~inwin!~
del H:\%username%\~inwin!~.bat
if exist H:\%username%\~loaded~.!@# goto WinExist
goto LoadWin
:
:WinExist
:
del H:\%username%\~loaded~.!@#
I:\BIN\SEND ^M^J
I:\BIN\SEND Windows was already running before you invoked Dbank.^M^J
I:\BIN\SEND ^M^J
I:\BIN\SEND If the message `SHARE already installed' appears above,^M^J
I:\BIN\SEND please use Alt+Tab to get back to Microsoft Windows,^M^J
I:\BIN\SEND then `Run...' I:\DBANK\DBANK from the `File' menu of Program Manager.^M^J
I:\BIN\SEND ^M^J
I:\BIN\SEND If that fails, or if the message above was merely `SHARE installed',^M^J
I:\BIN\SEND please use Alt+Tab to get back to Microsoft Windows,^M^J
I:\BIN\SEND then end your Windows session, and then `Dbank Access' from NUSNET again.^M^J
I:\BIN\SEND ^M^J
I:\BIN\SEND First press any key to return to NUSNET menu, then use Alt+Tab:^M^J
pause>nul
rem pause
goto Return
:
:LoadWin
:
win i:\dbank\dbank.exe DBANK.NET
:
:Return
H:
menu
